Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms_lobster1.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms_lobster1.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms_lobster1.h90	(revision 763)
@@ -1,160 +1,117 @@
-!!--------------------------------------------------------------------
-!!
-!!                         COMMON passivetrc.lobster1.h
-!!                      *******************************
-!!
-!!  purpose :
-!!  ---------
-!!     INCLUDE COMMON FILE for LOBSTER1 biological model (IF key_trc_lobster1)
-!!
-!!  modifications :
-!!   -------------
-!!      original    : 99-09 (M. Levy) 
-!!      additions   : 00-12 (O. Aumont, E. Kestenare): 
-!!                           add sediment parameters
-!!
-!!---------------------------------------------------------------------
-!!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !!----------------------------------------------------------------------
+   !!                     ***  sms_lobster1.h90  ***  
+   !! TOP :   LOBSTER 1 Source Minus Sink valiables
+   !!----------------------------------------------------------------------
+   !! History :    -   !  1999-09 (M. Levy)  original code
+   !!              -   !  2000-12 (O. Aumont, E. Kestenare) add sediment 
+   !!             1.0  !  2005-10 (C. Ethe) F90
+   !!             1.0  !  2005-03  (A-S Kremeur) add fphylab, fzoolab, fdetlab, fdbod
+   !!              -   !  2005-06  (A-S Kremeur) add sedpocb, sedpocn, sedpoca
+   !!             2.0  !  2007-04  (C. Deltel, G. Madec) Free form and modules
+   !!----------------------------------------------------------------------
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
    !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-!!---------------------------------------------------------------------
-!!
-!!
-!!----------------------------------------------------------------------
-!!
-!!  biological parameters
-!! --------------------------------------------
-!!
-!!      apmin     : minimum phytoplancton concentration (NAMELIST)
-!!      azmin     : minimum zooplancton concentration (NAMELIST)
-!!      anmin     : minimum nutrients concentration (NAMELIST)
-!!      admin     : minimum detritus concentration (NAMELIST)
-!!      redf      : redfield ratio c:n (NAMELIST)
-!!      reddom    : redfield ratio c:n for DOM
-!!      slopet    : van t hoff coefficient (NAMELIST)
-!!      toptp     : optimal photosynthesis temperature (NAMELIST)
-!!      aknut     : half-saturation nutrient (NAMELIST)
-!!      akno3     : half-saturation for nitrate (NAMELIST)
-!!      aknh4     : half-saturation for ammonium (NAMELIST)
-!!      psinut    : inhibition of nitrate uptake by ammonium (NAMELIST)
-!!      rgamma    : phytoplankton exudation fraction (NAMELIST)
-!!      toptgz    : optimal temperature for zooplankton growth (NAMELIST)
-!!      tmaxgz    : maximal temperature for zooplankton growth (NAMELIST) 
-!!      rgz       : widtht of zooplankton temperature FUNCTION (NAMELIST)
-!!      rppz      : zooplankton nominal preference for phytoplancton
-!!                  food, (NAMELIST)
-!!      taus      : maximum specific zooplankton grazing rate (NAMELIST)
-!!      aks       : half saturation constant for total zooplankton
-!! grazing (NAMELIST)
-!!      filmax    : maximum mass clearance rate for zooplankton (NAMELIST)
-!!      rpnaz     : non-assimilated phytoplankton by zooplancton (NAMELIST) 
-!!      rdnaz     : non-assimilated detritus by zooplankton (NAMELIST) 
-!!      eggzoo    : minimum for zooplankton concentration (NAMELIST)
-!!      tauzn     : zooplancton specific excretion rate (NAMELIST)
-!!      tmmaxp    : maximal phytoplancton mortality rate (NAMELIST)
-!!      tmminp    : minimal phytoplancton mortality rate (NAMELIST)
-!!      tmmaxz    : maximal zooplankton mortality rate (NAMELIST)
-!!      tmminz    : minimal zooplankton mortality rate (NAMELIST)
-!!      anumin    : nutrient threshold for phytoplankton mortality (NAMELIST)
-!!      afdmin    : food threshold for zooplankton mortality (NAMELIST)
-!!      taudn     : detrital breakdown rate (NAMELIST)
-!!      vsed      : sedimentation speed (NAMELIST)
-!!      tmumax    : maximal phytoplankton growth rate (NAMELIST)
-!!      aki       : light photosynthesis half saturation constant (NAMELIST)
-!!
-!!      tmaxr     : maximum coefficient for passive tracer damping (NAMELIST)
-!!      tminr     : minimum coefficient for passive tracer damping (NAMELIST)
-!!      remdmp()  : damping coefficient of passive tracers (depth dependant)
-!!      fdoml     : fraction of exsudation that goes to nh4 (should be labile dom)
-!!      taunn     : nitrification rate
-!!      taudomn   : slow remineralization rate of semi-labile dom to nh4
-!!      xhr       : coeff for Martin's remineralistion profile
-!!
-!!      added by asklod AS Kremeur 2005-03:
-!!      fphylab   : NH4 fraction of phytoplankton excretion
-!!      fzoolab   : NH4 fraction of zooplankton excretion
-!!      fdetlab   : NH4 fraction of detritus dissolution
-!!      fdbod     : zooplankton mortality fraction that goes to detritus
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
-      REAL apmin,azmin,anmin,admin,  &
-                    redf,reddom,slopet,toptp,aknut,psinut,akno3,aknh4,rcchl,  &
-                     rgamma,toptgz,tmaxgz,rgz,  &
-                     rppz,taus,aks,filmax,rpnaz,rdnaz,eggzoo,tauzn,  &
-                     tmmaxp,tmminp,tmmaxz,tmminz,anumin,afdmin,taudn,  &
-                     vsed,tmumax,aki,  &
-                     tmaxr,tminr,fdoml,taunn,taudomn,xhr,  &
-                     fphylab,fzoolab,fdetlab,fdbod
-      REAL remdmp(jpk,jptra)
+   !!  biological parameters
+   !! ----------------------
+   REAL(wp) ::   apmin    !: minimum phytoplancton concentration              (NAMELIST)
+   REAL(wp) ::   azmin    !: minimum zooplancton concentration                (NAMELIST)
+   REAL(wp) ::   anmin    !: minimum nutrients concentration                  (NAMELIST)
+   REAL(wp) ::   admin    !: minimum detritus concentration                   (NAMELIST)
+   REAL(wp) ::   redf     !: redfield ratio c:n                               (NAMELIST)
+   REAL(wp) ::   reddom   !: redfield ratio c:n for DOM                       
+   REAL(wp) ::   slopet   !: van t hoff coefficient                           (NAMELIST)
+   REAL(wp) ::   toptp    !: optimal photosynthesis temperature               (NAMELIST) 
+   REAL(wp) ::   aknut    !: half-saturation nutrient                         (NAMELIST)
+   REAL(wp) ::   psinut   !: inhibition of nitrate uptake by ammonium         (NAMELIST)
+   REAL(wp) ::   akno3    !: half-saturation for nitrate                      (NAMELIST)
+   REAL(wp) ::   aknh4    !: half-saturation for ammonium                     (NAMELIST)
+   REAL(wp) ::   rcchl    !: ???                                              
+   REAL(wp) ::   rgamma   !: phytoplankton exudation fraction                 (NAMELIST)
+   REAL(wp) ::   toptgz   !: optimal temperature for zooplankton growth       (NAMELIST)
+   REAL(wp) ::   tmaxgz   !: maximal temperature for zooplankton growth       (NAMELIST) 
+   REAL(wp) ::   rgz      !: widtht of zooplankton temperature FUNCTION       (NAMELIST)
+   REAL(wp) ::   rppz     !: zooplankton nominal preference for phytoplancton food (NAMELIST)
+   REAL(wp) ::   taus     !: maximum specific zooplankton grazing rate        (NAMELIST)
+   REAL(wp) ::   aks      !: half saturation constant for total zooplankton grazing (NAMELIST)
+   REAL(wp) ::   filmax   !: maximum mass clearance rate for zooplankton      (NAMELIST)
+   REAL(wp) ::   rpnaz    !: non-assimilated phytoplankton by zooplancton     (NAMELIST)
+   REAL(wp) ::   rdnaz    !: non-assimilated detritus by zooplankton          (NAMELIST) 
+   REAL(wp) ::   eggzoo   !: minimum for zooplankton concentration            (NAMELIST)
+   REAL(wp) ::   tauzn    !: zooplancton specific excretion rate              (NAMELIST)
+   REAL(wp) ::   tmmaxp   !: maximal phytoplancton mortality rate             (NAMELIST)
+   REAL(wp) ::   tmminp   !: minimal phytoplancton mortality rate             (NAMELIST)
+   REAL(wp) ::   tmmaxz   !: maximal zooplankton mortality rate               (NAMELIST)
+   REAL(wp) ::   tmminz   !: minimal zooplankton mortality rate               (NAMELIST)
+   REAL(wp) ::   anumin   !: nutrient threshold for phytoplankton mortality   (NAMELIST)
+   REAL(wp) ::   afdmin   !: food threshold for zooplankton mortality         (NAMELIST)
+   REAL(wp) ::   taudn    !: detrital breakdown rate                          (NAMELIST)
+   REAL(wp) ::   vsed     !: sedimentation speed                              (NAMELIST)
+   REAL(wp) ::   tmumax   !: maximal phytoplankton growth rate                (NAMELIST)
+   REAL(wp) ::   aki      !: light photosynthesis half saturation constant    (NAMELIST)
+   REAL(wp) ::   tmaxr    !: maximum coefficient for passive tracer damping   (NAMELIST)
+   REAL(wp) ::   tminr    !: minimum coefficient for passive tracer damping   (NAMELIST)
+   REAL(wp) ::   fdoml    !: fraction of exsudation that goes to nh4 (should be labile dom)
+   REAL(wp) ::   taunn    !: nitrification rate
+   REAL(wp) ::   taudomn  !: slow remineralization rate of semi-labile dom to nh4
+   REAL(wp) ::   xhr      !: coeff for Martin's remineralistion profile
+   REAL(wp) ::   fphylab  !: NH4 fraction of phytoplankton excretion
+   REAL(wp) ::   fzoolab  !: NH4 fraction of zooplankton excretion
+   REAL(wp) ::   fdetlab  !: NH4 fraction of detritus dissolution
+   REAL(wp) ::   fdbod    !: zooplankton mortality fraction that goes to detritus
 
-!!
-!!
-#    if defined key_trc_diabio
-!!
-!!----------------------------------------------------------------------
-!!
-!!  biological trends 
-!! ------------------------------------------------------------------
-!!
-!!      ctrbio    : biological trends name (NAMELIST)
-!!      ctrbil    : biological trends long name (NAMELIST)
-!!      ctrbiu    : biological trends unit (NAMELIST)
-!!      trbio()   : biological trends
-!!
-      CHARACTER*8 ctrbio(jpdiabio)
-      CHARACTER*20 ctrbiu(jpdiabio)
-      CHARACTER*80 ctrbil(jpdiabio)
-      REAL trbio(jpi,jpj,jpk,jpdiabio)
+   REAL(wp), DIMENSION(jpk,jptra) ::   remdmp   !: depth dependant damping coefficient of passive tracers 
+   
 
-!!
-!!    netcdf files and index COMMON biological trends files
-!!
-!!      nwritebio: time step frequency for biological outputs (NAMELIST)
-! asklod 10-2005: oubli de cette partie dans l update:
-!!      nitb     : id for additional array output FILE
-!!      ndepitb  : id for depth mesh
-!!      nhoritb  : id for horizontal mesh
-!!
-      INTEGER nwritebio,nitb,ndepitb,nhoritb
+# if defined key_trc_diabio
 
-#    endif 
+   !! Biological trends 
+   !! -----------------
+   CHARACTER(len=8),  DIMENSION(jpdiabio) ::   ctrbio   !: biological trends name      (NAMELIST)
+   CHARACTER(len=20), DIMENSION(jpdiabio) ::   ctrbiu   !: biological trends unit      (NAMELIST)
+   CHARACTER(len=80), DIMENSION(jpdiabio) ::   ctrbil   !: biological trends long name (NAMELIST)
+   REAL(wp), DIMENSION(jpi,jpj,jpk,jpdiabio) :: trbio   !: biological trends
 
-!!----------------------------------------------------------------------
-!!
-!!  optical parameters
-!! -----------------------------------
-!!
-!!      xze       : euphotic layer depth
-!!      xpar      : par (photosynthetic available radiation)
-!!      xkr0      : water coefficient absorption in red (NAMELIST)
-!!      xkg0      : water coefficient absorption in green (NAMELIST)
-!!      xkrp      : pigment coefficient absorption in red (NAMELIST)
-!!      xkgp      : pigment coefficient absorption in green (NAMELIST)
-!!      xlr       : exposant for pigment absorption in red (NAMELIST)
-!!      xlg       : exposant for pigment absorption in green (NAMELIST)
-!!      rpig      : chla/chla+phea ratio (NAMELIST)
-!!
-      REAL xkr0,xkg0,xkrp,xkgp,xlr,xlg,rpig
+   !! Netcdf output parameters
+   !! ------------------------
+   INTEGER ::   nwritebio   !: time step frequency for biological outputs (NAMELIST)
+   INTEGER ::   nitb        !:         id.         for additional array output file
+   INTEGER ::   ndepitb     !:         id.         for depth mesh
+   INTEGER ::   nhoritb     !:         id.         for horizontal mesh
 
-      REAL xze(jpi,jpj)
-      REAL xpar(jpi,jpj,jpk)
+# endif 
 
-!!----------------------------------------------------------------------
-!!
-!!  sediment parameters
-!! --------------------------------------
-!!
-!!      sedlam : time coefficient of POC remineralization in sediments
-!!      dmin3  : fraction of sinking POC released at each level
-!!      dminl  : fraction of sinking POC released in sediments
-!! asklod add sedpocb, sedpocn, sedpoca 17 06 2005
-!!      sedpocb : mass of POC in sediments
-!!      sedpocn : mass of POC in sediments
-!!      sedpoca : mass of POC in sediments
-!!      fbod   : rapid sinking particles
-!!
-!!
-      REAL sedlam,sedlostpoc
-      REAL dmin3(jpi,jpj,jpk), dminl(jpi,jpj)
-      REAL sedpoca(jpi,jpj),sedpocb(jpi,jpj),sedpocn(jpi,jpj)
-      REAL fbod(jpi,jpj),cmask(jpi,jpj),areacot
+   !! Optical parameters                                
+   !! ------------------                                
+   REAL(wp) ::   xkr0       !: water coefficient absorption in red      (NAMELIST)
+   REAL(wp) ::   xkg0       !: water coefficient absorption in green    (NAMELIST)
+   REAL(wp) ::   xkrp       !: pigment coefficient absorption in red    (NAMELIST)
+   REAL(wp) ::   xkgp       !: pigment coefficient absorption in green  (NAMELIST)
+   REAL(wp) ::   xlr        !: exposant for pigment absorption in red   (NAMELIST)
+   REAL(wp) ::   xlg        !: exposant for pigment absorption in green (NAMELIST)
+   REAL(wp) ::   rpig       !: chla/chla+phea ratio                     (NAMELIST)
+                                                        
+   INTEGER , DIMENSION(jpi,jpj)     ::   neln    !: number of levels in the euphotic layer
+   REAL(wp), DIMENSION(jpi,jpj)     ::   xze     !: euphotic layer depth
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   xpar    !: par (photosynthetic available radiation)
 
+   !! Sediment parameters                               
+   !! -------------------                               
+   REAL(wp) ::   sedlam       !: time coefficient of POC remineralization in sediments
+   REAL(wp) ::   sedlostpoc   !: ???
+   REAL(wp) ::   areacot      !: ???
+                                                        
+   REAL(wp), DIMENSION(jpi,jpj)     ::   dminl   !: fraction of sinking POC released in sediments
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   dmin3   !: fraction of sinking POC released at each level
+                                                        
+   REAL(wp), DIMENSION(jpi,jpj) ::   sedpocb     !: mass of POC in sediments
+   REAL(wp), DIMENSION(jpi,jpj) ::   sedpocn     !: mass of POC in sediments
+   REAL(wp), DIMENSION(jpi,jpj) ::   sedpoca     !: mass of POC in sediments
+                                                        
+   REAL(wp), DIMENSION(jpi,jpj) ::   fbod        !: rapid sinking particles
+   REAL(wp), DIMENSION(jpi,jpj) ::   cmask       !: ???
+
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms_pisces.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms_pisces.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms_pisces.h90	(revision 763)
@@ -1,249 +1,152 @@
-!!---------------------------------------------------------------------
-!!
-!!                         COMMON passivetrc.pisces.h
-!!                       ******************************
-!!
-!!  purpose :
-!!  ---------
-!!     INCLUDE COMMON FILE for PISCES biological model
-!!
-!!  modifications :
-!!   -------------
-!!      original    : 00-02 (O. Aumont)
-!!
-!!
-#if defined key_trc_pisces
-!!
-!!----------------------------------------------------------------------
-!!
-!! Variable for chemistry of the CO2 cycle
-!!
-!! ---------------------------------------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: &
-         akb3, ak13, ak23, aksp, akw3, &
-         akp13, akp23, akp33, aksi3, aks3, akf3, &
-         hi, borat
+   !!----------------------------------------------------------------------
+   !!                     ***  sms_pisces.h90  ***  
+   !! TOP :   PISCES Source Minus Sink valiables
+   !!----------------------------------------------------------------------
+   !! History :   1.0  !  2000-02 (O. Aumont) original code
+   !!----------------------------------------------------------------------
 
-      REAL :: &
-         atcco2, atcox
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
-!!
-!!----------------------------------------------------------------------
-!!
-!!  Variable for chemistry of the CO2 cycle
-!!
-!! ---------------------------------------------------------------------
-!!
-      REAL(wp), DIMENSION(10)  :: &
-         devk1, devk2, devk3, devk4, devk5     
-   
-      REAL(wp) :: & 
-         akcc1, akcc2, akcc3, akcc4,akcc5, akcc6, akcc7, akcc8, akcc9 , &
-         bor1, bor2, c00, c01, c02, c03, c04, c05, c10, c11, &
-         c12, c13, c20, c21, c22, c23, cb0, cb1, cb2, cb3, &
-         cb4, cb5, cb6, cb7, cb8, cb9, cb10, cb11, c14, &
-         cw3, cw4, cw5, cw6, cw0, cw1, cw2, ox0, ox1, ox2, ox3, ox4,ox5, &
-         salchl, rgas, oxyco, ca0, ca1, ca2, ca3, ca4, ca5, ca6, &
-         cp10, cp11, cp12, cp13, cp14, cp15, cp16, cp20, cp21, &
-         cp22, cp23, cp24, cp25, cp26, cp30, cp31, cp32, cp33, &
-         cp34, cp35, cs10, cs11, cs12, cs13, cs14, cs15, cs16, &
-         cs17, cs18, cs19, cs20, cs21, &
-         st1, st2, ft1, ft2, ks0, ks1, ks2, ks3, ks4, ks5, &
-         ks6, ks7, ks8, ks9, ks10, ks11, ks12, kf0, kf1, &
-         kf2, kf3, kf4
+   !!----------------------------------------------------------------------
+   !! Variable for chemistry of the CO2 cycle
+   !! ---------------------------------------------------------------------
+   REAL(wp) ::   atcco2, atcox
+   !
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   akb3, ak13, ak23, aksp, akw3             !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   akp13, akp23, akp33, aksi3, aks3, akf3   !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   hi, borat                                !: ???
 
-      REAL(wp), DIMENSION(jpi,jpj,3) :: &
-         chemc
+   !!----------------------------------------------------------------------
+   !!  Variable for chemistry of the CO2 cycle
+   !! ---------------------------------------------------------------------
+   REAL(wp), DIMENSION(10) ::   devk1, devk2, devk3, devk4, devk5     
+   !
+   REAL(wp) ::   akcc1, akcc2, akcc3, akcc4,akcc5, akcc6, akcc7, akcc8, akcc9     !: ???
+   REAL(wp) ::   bor1, bor2, c00, c01, c02, c03, c04, c05, c10, c11               !: ???
+   REAL(wp) ::   c12, c13, c20, c21, c22, c23, cb0, cb1, cb2, cb3                 !: ???
+   REAL(wp) ::   cb4, cb5, cb6, cb7, cb8, cb9, cb10, cb11, c14                    !: ???
+   REAL(wp) ::   cw3, cw4, cw5, cw6, cw0, cw1, cw2, ox0, ox1, ox2, ox3, ox4,ox5   !: ???
+   REAL(wp) ::   salchl, rgas, oxyco, ca0, ca1, ca2, ca3, ca4, ca5, ca6           !: ???
+   REAL(wp) ::   cp10, cp11, cp12, cp13, cp14, cp15, cp16, cp20, cp21             !: ???
+   REAL(wp) ::   cp22, cp23, cp24, cp25, cp26, cp30, cp31, cp32, cp33             !: ???
+   REAL(wp) ::   cp34, cp35, cs10, cs11, cs12, cs13, cs14, cs15, cs16             !: ???
+   REAL(wp) ::   cs17, cs18, cs19, cs20, cs21                                     !: ???
+   REAL(wp) ::   st1, st2, ft1, ft2, ks0, ks1, ks2, ks3, ks4, ks5                 !: ???
+   REAL(wp) ::   ks6, ks7, ks8, ks9, ks10, ks11, ks12, kf0, kf1                   !: ???
+   REAL(wp) ::   kf2, kf3, kf4
+   !
+   REAL(wp), DIMENSION(jpi,jpj,3) ::   chemc   !: ???
 
-!!
-!!----------------------------------------------------------------------
-!!
-!!  Variable for chemistry of Fe and SIO3
-!!
-!! ---------------------------------------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: &
-         sio3eq, fekeq
+   !!----------------------------------------------------------------------
+   !!  Variable for chemistry of Fe and SIO3
+   !! ---------------------------------------------------------------------
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   sio3eq   !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   fekeq    !: ???
 
-!!
-!!----------------------------------------------------------------------
-!!
-!!  Time variables
-!!
-!! ---------------------------------------------------------------------
-!!
-
-      INTEGER :: &
-         iabsyr, nrdttrc, ndayflxtr
-
-      REAL(wp) :: &
-         tspyr, absyr, xtvit , &
-         rfact, rfactr, rfact2, rfact2r
+   !!----------------------------------------------------------------------
+   !!  Time variables
+   !! ---------------------------------------------------------------------
+   INTEGER  ::   iabsyr, nrdttrc, ndayflxtr       !: ???
+   REAL(wp) ::   tspyr, absyr, xtvit              !: ???
+   REAL(wp) ::   rfact, rfactr, rfact2, rfact2r   !: ???
 
 
-!!
-!!----------------------------------------------------------------------
-!!
-!!  Gas exchange
-!!
-!! ---------------------------------------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj) :: & 
-         strn
-!!---------------------------------------
-!!
-!!  Biological parameters 
-!!
-!! --------------------------------------
-!! 
-      INTEGER :: &
-         jkopt
+   !!----------------------------------------------------------------------
+   !!  Gas exchange
+   !! ---------------------------------------------------------------------
+   REAL(wp), DIMENSION(jpi,jpj) ::   strn         !: ???
+   
+   !!---------------------------------------
+   !!  Biological parameters 
+   !! --------------------------------------
+   INTEGER ::   jkopt    !: ???
+   !
+   REAL(wp) ::   caco3r, kdca, nca, part, rno3, o2ut, po4r               !: ???
+   REAL(wp) ::   sco2, dispo0, conc0,sumdepsi,rivalkinput,sedfeinput     !: ???
+   REAL(wp) ::   calcon, rivpo4input,nitdepinput,oxymin,spocri           !: ???
+   REAL(wp) ::   nitrif,rdenit,o2nit,concnnh4,concdnh4                   !: ???
+   REAL(wp) ::   pislope,excret,wsbio,resrat,mprat,wchl,wchld            !: ???
+   REAL(wp) ::   mzrat,grazrat,xprefc,xprefp,unass,xkgraz,xkmort         !: ???
+   REAL(wp) ::   xksi1,xksi2,sicmax,xremik,xremip,xkdoc1                 !: ???
+   REAL(wp) ::   xkdoc2,grosip,resrat2,excret2,mprat2,mzrat2,xprefz      !: ???
+   REAL(wp) ::   xkgraz2,grazrat2,xlam1,conc1,conc2,conc3                !: ???
+   REAL(wp) ::   unass2,xprefpoc,epsher,epsher2,pislope2,mpratm          !: ???
+   REAL(wp) ::   sigma1, sigma2, zprefc, zprefp, zprefd, wchl2, ferat3   !: ???
+   REAL(wp) ::   xsirem, fecnm, fecdm, chlcnm, chlcdm                    !: ???
 
-      REAL(wp) :: &
-         caco3r, kdca, nca, part, rno3, o2ut, po4r,  &
-         sco2, dispo0, conc0,sumdepsi,rivalkinput,sedfeinput, &
-         calcon, rivpo4input,nitdepinput,oxymin,spocri, &
-         nitrif,rdenit,o2nit,concnnh4,concdnh4, &
-         pislope,excret,wsbio,resrat,mprat,wchl,wchld, &
-         mzrat,grazrat,xprefc,xprefp,unass,xkgraz,xkmort, &
-         xksi1,xksi2,sicmax,xremik,xremip,xkdoc1, &
-         xkdoc2,grosip,resrat2,excret2,mprat2,mzrat2,xprefz, &
-         xkgraz2,grazrat2,xlam1,conc1,conc2,conc3, &
-         unass2,xprefpoc,epsher,epsher2,pislope2,mpratm, &
-         sigma1, sigma2, zprefc, zprefp, zprefd, wchl2, ferat3, &
-         xsirem, fecnm, fecdm, chlcnm, chlcdm
+   !!---------------------------------------------
+   !!  Biological fluxes for light
+   !!---------------------------------------------
+   REAL(wp), DIMENSION(3,61)        ::   xkrgb                 !: ???
+   REAL(wp), DIMENSION(jpi,jpj)     ::   zmeu                  !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   etot, etot3, emoy     !: ???
 
+!!----------------------------------------------------------
+!!  Biological fluxes for primary production
+!!----------------------------------------------------------
+   REAL(wp), DIMENSION(jpi,jpj) ::   xksimax, xksi
+   !
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   prmax, tgfunc, tgfunc2                       !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   prcaca, prorca, prorca2, prorca3             !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   prorca4, prorca5, prorca6, prorca7           !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   pronew, pronew2, proreg, proreg2             !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   xnanono3, xdiatno3, xnanonh4, xdiatnh4       !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   xlimphy, xlimdia, concdfe, concnfe, znegtr   !: ???
 
+   !!------------------------------------------
+   !! Sinks for phytoplankton
+   !!------------------------------------------
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   tortp, tortnf, tortnch            !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   respp, respp2, respnch, respdch   !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   tortp2, tortdf, tortdch, tortds   !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   respds, respdf, respnf            !: ???
 
-!!
-!!---------------------------------------------
-!!
-!!  Biological fluxes for light
-!!
-!!---------------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: &
-         etot, etot3, emoy
+   !!------------------------------------
+   !!  SMS for zooplankton
+   !!-------------------------------------
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   respz, tortz, grazp, grazpf                   !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   grazpch, grazm, grazmf, grazsd                !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   grazsf, grazss, grazsch, grarem               !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   grafer,respz2,tortz2,grazd, grazz,grazn       !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   grazpoc,graznf, graznch, grazs, grazf         !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   grazdch, grazpof, grarem2, grafer2, grapoc2   !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   grapoc, grazffe, grazfff                      !: ???
 
-      REAL(wp), DIMENSION(jpi,jpj) :: &
-         zmeu
+   !!---------------------------------------------
+   !!  SMS for the organic matter
+   !!---------------------------------------------
+   REAL(wp) ::   wsbio2
+   !
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   xagg, xaggfe, zdiss, xaggdoc, xaggdfe, xbactfer   !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   xscave, olimi, orem, orem2, ofer, ofer2           !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   osil, xaggdoc2, nitrfac, xlimbac                  !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   wsbio4, wsbio3, wscal                             !: ???
 
-      REAL(wp), DIMENSION(3,61) :: & 
-         xkrgb
-
-
-!!
-!!----------------------------------------------------------
-!!
-!!  Biological fluxes for primary production
-!!
-!!----------------------------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: &
-         prmax, tgfunc, tgfunc2, &
-         prcaca, prorca, prorca2, prorca3, &
-         prorca4, prorca5, prorca6, prorca7, &
-         pronew, pronew2, proreg, proreg2, &
-         xnanono3, xdiatno3, xnanonh4, xdiatnh4, &
-         xlimphy, xlimdia, concdfe, concnfe, znegtr
-
-      REAL(wp), DIMENSION(jpi,jpj) :: &      
-         xksimax, xksi
-
-
-
-!!
-!!------------------------------------------
-!!
-!! Sinks for phytoplankton
-!!
-!!------------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: &      
-         tortp, tortnf, tortnch, &
-         respp, respp2, respnch, respdch, &
-         tortp2, tortdf, tortdch, tortds, &
-         respds, respdf, respnf
-
-
-!!
-!!------------------------------------
-!!
-!!  SMS for zooplankton
-!!
-!!-------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: &   
-         respz, tortz, grazp, grazpf, &
-         grazpch, grazm, grazmf, grazsd, &
-         grazsf, grazss, grazsch, grarem, &
-         grafer,respz2,tortz2,grazd, grazz,grazn, &
-         grazpoc,graznf, graznch, grazs, grazf, &
-         grazdch, grazpof, grarem2, grafer2, grapoc2, &
-         grapoc, grazffe, grazfff
-
-
-!!
-!!---------------------------------------------
-!!
-!!  SMS for the organic matter
-!!
-!!---------------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: &   
-         xagg, xaggfe, zdiss, xaggdoc, xaggdfe, xbactfer, &
-         xscave, olimi, orem, orem2, ofer, ofer2, &
-         osil, xaggdoc2, nitrfac, xlimbac, & 
-         wsbio4, wsbio3, wscal
-
-      REAL(wp) :: &
-         wsbio2
-
-
- 
-!!
-!!---------------------------------------------------------
-!!
-!! External sources of nutrients in ocean
-!!
-!!---------------------------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: &         
-         onitr, denitr, ironsed
-
-      REAL(wp), DIMENSION(jpi,jpj) :: & 
-         dust, cotdep, nitdep, rivinp
-
-      REAL(wp), DIMENSION(jpi,jpj,12) ::  &  
-         dustmo
-
-      REAL(wp) :: &
-         areacot
-
-      LOGICAL :: &
-         bdustfer, briver, bndepo, bsedinput
-
-
+   !!---------------------------------------------------------
+   !! External sources of nutrients in ocean
+   !!---------------------------------------------------------
+   LOGICAL ::   bdustfer, briver, bndepo, bsedinput   !: ???
+   !
+   REAL(wp) ::   areacot                              !: ???
+   !
+   REAL(wp), DIMENSION(jpi,jpj)     ::   dust, cotdep, nitdep, rivinp   !: ???
+   REAL(wp), DIMENSION(jpi,jpj,12)  ::   dustmo                         !: ???
+   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   onitr, denitr, ironsed         !: ???
 
 #if defined key_trc_kriest
-!!
-!!---------------------------------------------------------
-!!
-!!  Kriest parameter for aggregation
-!!
-!!---------------------------------------------------------
-!!
-      REAL(wp) :: &
-         xkr_eta, xkr_zeta, xkr_sfact, xkr_stick,  &
-         xkr_mass_min, xkr_mass_max, xkr_massp, xkr_frac, &
-         xkr_dnano, xkr_ddiat, xkr_dmeso, xkr_daggr, &
-         xkr_nnano, xkr_ndiat, xkr_nmeso, xkr_naggr, &
-         xkr_wsbio_min, xkr_wsbio_max
-      
-      REAL(wp), DIMENSION(jpk) :: &
-         xnumm
+   !!---------------------------------------------------------
+   !!  Kriest parameter for aggregation
+   !!---------------------------------------------------------
+   REAL(wp) ::   xkr_eta, xkr_zeta, xkr_sfact, xkr_stick            !: ???
+   REAL(wp) ::   xkr_mass_min, xkr_mass_max, xkr_massp, xkr_frac    !: ???
+   REAL(wp) ::   xkr_dnano, xkr_ddiat, xkr_dmeso, xkr_daggr         !: ???
+   REAL(wp) ::   xkr_nnano, xkr_ndiat, xkr_nmeso, xkr_naggr         !: ???
+   REAL(wp) ::   xkr_wsbio_min, xkr_wsbio_max
+   !  
+   REAL(wp), DIMENSION(jpk) ::   xnumm      !: ???
 #endif
 
-#endif
-
